Bug 6734 - [UPDATE REQUEST] memtest86+ 5.01
: [UPDATE REQUEST] memtest86+ 5.01
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 19:57 MSK by Eugene Shatokhin
Modified: 2016-02-25 19:30 MSK (History)
2 users (show)

See Also:
RPM Package: memtest
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-02-16 19:57:18 MSK
Version 5.0.1 provides lots of enhancements and fixes compared to 4.20 we have now: http://www.memtest.org/#change.

By the way, it would be great if the ISO images we build picked up memtest binary from the RPM in our repositories. Currently, they keep a separate binary, which makes the updates more error-prone.
Comment 1 Konstantin Vlasov 2016-02-17 13:32:22 MSK
As it happens, ISO images already use Memtest from the repository. The separate binary is just dead weight and can be removed. Probably, some relic.
Comment 2 Eugene Shatokhin 2016-02-18 22:34:15 MSK
Advisory:
Memtest86+ was updated to version 5.01. This release adds support for a number of newer CPUs and provides many bug fixes. Details: http://memtest.org/#change.


Build lists:
i586: 
https://abf.io/build_lists/2624827
x86_64:
https://abf.io/build_lists/2624828


The ISO images built with the new Memtest86+ are here:
https://abf.io/platforms/rosa2014.1/products/111/product_build_lists/14453


Hints for testing

1. No need to send this update to testing repository: memtest86+ can only be used from the installation media in ROSA, not from the installed system (actually, it is possible but requires manual creation of an item in the boot menu).

2. Currently, the users can only use memtest86+ when they boot a system from an installation media in legacy (non-UEFI) mode.
Comment 3 Vladimir Potapov 2016-02-25 18:53:51 MSK
memtest86+-5.01-1
https://abf.io/build_lists/2624827
https://abf.io/build_lists/2624828
************************* Advisory ****************************
Memtest86+ was updated to version 5.01. This release adds support for a number of newer CPUs and provides many bug fixes. Details: http://memtest.org/#change
***************************************************************
QA Verified